<!DOCTYPE html>
<html lang="en">
  <style>
    .center {
        margin: auto;
        padding: 10px;
    }
    body {
      background-color: rgb(43, 43, 43);
    }
    table {
      width: 60%;
      border-spacing: 4px;
      border: 0;
    }
    th {
      font-family: 'Franklin Gothic';
      color: aliceblue;
      background-color: palevioletred;
      border-radius: 4px;
      padding: 8px;
    }
    td {
      font-family: 'Franklin Gothic';
      font-size: small;
      background-color: beige;
      border-radius: 4px;
      padding: 8px;
    }
  </style>
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
  </head>
  <body>
    <br>
    <h2 style="font-family:'Franklin Gothic Medium'; background-color: lightskyblue; color: rgb(43, 43, 43); border-radius: 8px; padding-left: 16px; padding-top: 2px; padding-bottom: 4px; text-align: center;">
      🙈💕😊 Hello! Meet my friends 😊💕🙈
    </h2>
    <table class="center">
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
      {% for friend in friends %}
      <tr>
        <td>{{ friend.name }}</td>
        <td>{{ friend.npm }}</td>
        <td>{{ friend.dob }}</td>
      </tr>
      {% endfor %}
    </table>
  </body>
</html>
